## golang-github-cznic-ql 1.0.2

=== debian/changelog ===
golang-github-cznic-ql (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #818648).

    Dedicated to my nephew whose life ended in a car crash...

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Mar 2016 17:54:24 +1100
