=== debian/control ===
Source: golang-github-cznic-ql
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
    golang-github-cznic-b-dev,
    golang-github-cznic-bufs-dev,
    golang-github-cznic-mathutil-dev,
    golang-github-cznic-sortutil-dev,
    golang-github-cznic-strutil-dev,
    golang-github-cznic-zappy-dev,
Standards-Version: 3.9.7
Homepage: https://github.com/cznic/ql
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-cznic-ql.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-cznic-ql.git
XS-Go-Import-Path: github.com/cznic/ql

Package: golang-github-cznic-ql-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
    golang-github-cznic-b-dev,
    golang-github-cznic-bufs-dev,
    golang-github-cznic-mathutil-dev,
    golang-github-cznic-sortutil-dev,
    golang-github-cznic-strutil-dev,
    golang-github-cznic-zappy-dev,
Description: pure Go embedded SQL database
 Embedded (S)QL database inplemented in pure Golang.
