## golang-github-cznic-ql 1.0.4

=== debian/changelog ===
golang-github-cznic-ql (1.0.4-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jul 2016 15:10:48 +1000
