=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
     golang-github-cznic-sortutil-dev,
     golang-github-cznic-strutil-dev,
     golang-github-cznic-zappy-dev,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/cznic/ql
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-cznic-ql.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-cznic-ql.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-cznic-ql.git
 XS-Go-Import-Path: github.com/cznic/ql
 
 Package: golang-github-cznic-ql-dev
