=== debian/changelog ===
golang-github-cznic-ql (1.0.6-2) unstable; urgency=medium

  * Team upload

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Watch file version 5
    Do not package latest upstream which required github.com/cznic/golex
    which is not packaged yet
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not install usr/bin/ql

 -- Andreas Tille <tille@debian.org>  Sat, 20 Sep 2025 18:36:31 +0200

golang-github-cznic-ql (1.0.6-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Feb 2021 16:13:39 +0100

golang-github-cznic-ql (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depends += "golang-github-cznic-lldb-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Aug 2016 23:26:05 +1000
