=== debian/control ===
Source: golang-github-cznic-ql
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Tim Potter <tpot@hpe.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 golang-github-cznic-b-dev,
 golang-github-cznic-bufs-dev,
 golang-github-cznic-lldb-dev,
 golang-github-cznic-mathutil-dev,
 golang-github-cznic-sortutil-dev,
 golang-github-cznic-strutil-dev,
 golang-github-cznic-zappy-dev,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-ql
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-ql.git
Homepage: https://github.com/cznic/ql
XS-Go-Import-Path: github.com/cznic/ql

Package: golang-github-cznic-ql-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
 golang-github-cznic-b-dev,
 golang-github-cznic-bufs-dev,
 golang-github-cznic-lldb-dev,
 golang-github-cznic-mathutil-dev,
 golang-github-cznic-sortutil-dev,
 golang-github-cznic-strutil-dev,
 golang-github-cznic-zappy-dev,
Description: pure Go embedded SQL database
 Embedded (S)QL database inplemented in pure Golang.
