=== debian/rules ===
#!/usr/bin/make -f

export GOMAXPROCS=2
GOPKG=github.com/cznic/ql

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -XLICENSE -XCONTRIBUTORS -XAUTHORS
